#
# 2014.10.13 jdwang@asia.edu.tw
#
# usage : perl PubMed_InfoExtration_7_MultiArticle0.pl

use strict;

my $SrcLocation = "./SrcData";
my $InputFileName = "pubmed_result_WilsonDisease_jdwang2014_10_9.xml";
my $FileLocation = "$SrcLocation/$InputFileName";
open (FILEHANDLE,$FileLocation) or die "can't open $FileLocation";
					
#
# Initial the statistis of PubMed Articles
#	
print "begin $FileLocation ".scalar localtime(time())."\n";#exit;

my $TotalLen = 0;
my $NewsCnt = 0;
my $FileOver = 0; # Not ture 
my $Linecnt = 0;

while ((my $Line = <FILEHANDLE>) && ($FileOver==0))
{   
		#print "$Line";
		$Linecnt++;		
		if ($Line =~ /<PubmedArticle>/) {
			print "(NewsCnt=$NewsCnt) Begin  $Linecnt =>$Line\n"; #exit;	
			$NewsCnt ++;
			
			
			
		
		} elsif ($Line =~ /<\/PubmedArticleSet>/) { # end of PubMed XML file
			$FileOver=1;
		}		
} # end of while ((my $Line = <FILEHANDLE>) && ($FileOver==0))
print "end $FileLocation ".scalar localtime(time())."\n";
close(FILEHANDLE);
