#
# 2014.10.13 jdwang@asia.edu.tw
#
# usage : perl PubMed_InfoExtration_7_MultiArticle2.pl

use strict;


my $SrcLocation = "./SrcData";
my $InputFileName = "pubmed_result_WilsonDisease_jdwang2014_10_9.xml";
my $FileLocation = "$SrcLocation/$InputFileName";
open (FILEHANDLE,$FileLocation) or die "can't open $FileLocation";
			
		
#
# Initial the statistis of PubMed Articles
#	
print "begin $FileLocation ".scalar localtime(time())."\n";#exit;

my $TotalLen = 0;
my $NewsCnt = 0;
my $FileOver = 0; # Not ture 
my $Linecnt = 0;
while ((my $Line = <FILEHANDLE>) && ($FileOver==0))
{   
		#print "$Line";
		$Linecnt++;
		my $OneArticle = "";
		if ($Line =~ /<PubmedArticle>/) {
			print "(NewsCnt=$NewsCnt) Begin  $Linecnt =>$Line\n"; #exit;	
			$NewsCnt ++;
			chomp($Line);									
			$OneArticle = $Line;
			my $FoundEndNew = 0;
			while ( (my $Line2 = <FILEHANDLE> ) && ($FoundEndNew == 0 ) ){
				$Linecnt++;
				if ($Line =~ /<\/PubmedArticleSet>/) {
			   		$FileOver=1;
				} else {
					chomp($Line2);
					$OneArticle= $OneArticle.$Line2;
					if ($Line2 =~ /<\/PubmedArticle>/) {
						$FoundEndNew = 1;
						print "End  $Linecnt =>$Line2\n"; #exit;	
					}
				} # end of if ($Line =~ /<\/PubmedArticleSet>/) {
			} # end of while ($Line = <FILEHANDLE>)&&($FoundEndNew == 0)) {			
		} elsif ($Line =~ /<\/PubmedArticleSet>/) { # end of PubMed XML file
			$FileOver=1;
		}		
} # end of while ((my $Line = <FILEHANDLE>) && ($FileOver==0))
print "end $FileLocation ".scalar localtime(time())."\n";
close(FILEHANDLE);
