#
# 2014.10.13 jdwang@asia.edu.tw
#
# usage : perl PubMed_InfoExtration_7_MultiArticle4.pl

use strict;


my $SrcLocation = "./SrcData";
my $InputFileName = "pubmed_result_WilsonDisease_jdwang2014_10_9.xml";
my $FileLocation = "$SrcLocation/$InputFileName";
open (FILEHANDLE,$FileLocation) or die "can't open $FileLocation";
			
my $OutputDir = "./SrcData_Parse";
mkdir $OutputDir;			
my ($FileName, $Ext) = $InputFileName =~ /(.+)\.(.+)?/;
#print Dumper($FileName, $Ext);exit;

my $OutputFileLocation = $OutputDir.'/'."$FileName"."_Parsed.txt";
			
open (Output,">$OutputFileLocation");
		
#
# Initial the statistis of PubMed Articles
#	
print "begin $FileLocation ".scalar localtime(time())."\n";#exit;

my $TotalLen = 0;
my $NewsCnt = 0;
my $FileOver = 0; # Not ture 
my $Linecnt = 0;
while ((my $Line = <FILEHANDLE>) && ($FileOver==0))
{   
		#print "$Line";
		$Linecnt++;
		my $OneArticle = "";
		if ($Line =~ /<PubmedArticle>/) {
			print "(NewsCnt=$NewsCnt) Begin  $Linecnt =>$Line\n"; #exit;	
			$NewsCnt ++;
			chomp($Line);									
			$OneArticle = $Line;
			my $FoundEndNew = 0;
			#while ( (my $Line2 = <FILEHANDLE> )  &&  ($FoundEndNew == 0 ) && ($FileOver==0) ){
			while ( (my $Line2 = <FILEHANDLE> ) && ($FoundEndNew == 0 ) ){
				$Linecnt++;
				if ($Line =~ /<\/PubmedArticleSet>/) {
			   		$FileOver=1;
				} else {
					chomp($Line2);
					$OneArticle= $OneArticle.$Line2;
					 if ($Line2 =~ /<\/PubmedArticle>/) {
						 $FoundEndNew = 1;
						 print "End  $Linecnt =>$Line2\n"; #exit;	
					} # end of 
				} # end of if ($Line =~ /<\/PubmedArticleSet>/) {
			} # end of while ($Line = <FILEHANDLE>)&&($FoundEndNew == 0)) {
			#print "$OneArticle\n";exit;
			if ($FoundEndNew == 1) {
				my ($OneArticleStr) = $OneArticle =~  /<PubmedArticle>(.+)<\/PubmedArticle>/;			
				
				#print output "$NewsCnt##$OneArticle1\n";
				my %OneArticleInfo = (); # Hash for storing the information of one article								
				ExtractArticleInfo($OneArticleStr,\%OneArticleInfo);
							
			} else {
				$FileOver=1;
			}
			
		} elsif ($Line =~ /<\/PubmedArticleSet>/) { # end of PubMed XML file
			$FileOver=1;
		}		
} # end of while ((my $Line = <FILEHANDLE>) && ($FileOver==0))
print "end $FileLocation ".scalar localtime(time())."\n";
close(FILEHANDLE);
close(output);

###########################################################
#
#
#
###########################################################
sub ExtractArticleInfo {
	my ($OneArticleStr,$OneArticleInfo) = @_;
	print "(ExtractArticleInfo)\n$OneArticleStr\n";exit;
	
	
	
}